import { ServiceContainer } from '../../../services/ServiceContainer.js';
import { IDesignerCanvas } from '../IDesignerCanvas.js';
import { ITool } from './ITool.js';
export declare class TextTool implements ITool {
    private _textEditExtensions;
    constructor(editExistingText?: boolean);
    activated(serviceContainer: ServiceContainer): void;
    dispose(): void;
    readonly cursor = "text";
    private _textCreated;
    private _editExistingText;
    pointerEventHandler(designerCanvas: IDesignerCanvas, event: PointerEvent, currentElement: Element): void;
    keyboardEventHandler(designerCanvas: IDesignerCanvas, event: KeyboardEvent, currentElement: Element): void;
}
